# Import your model, using the SinGen example
from SinGen import *

# Import the simulator and LaTeX generator
from pyCBD.simulator import Simulator
from pyCBD.converters.latexify import CBD2Latex

# Create the model
model = SinGen('model')

# Create the converter (see docs for info on args)
cbd2latex = CBD2Latex(model, show_steps=True, render_latex=False)

# Simplify the set of equations
cbd2latex.simplify()

# Show the result (will be shown automatically because of show_steps)
print("RESULT IS:")
print(cbd2latex.render())
